summaryrefslogtreecommitdiff
path: root/makeinfo/tests/include-value
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/include-value')
-rwxr-xr-xmakeinfo/tests/include-value22
1 files changed, 22 insertions, 0 deletions
diff --git a/makeinfo/tests/include-value b/makeinfo/tests/include-value
new file mode 100755
index 0000000..3cef577
--- /dev/null
+++ b/makeinfo/tests/include-value
@@ -0,0 +1,22 @@
+#!/bin/sh
+# $Id: include-value,v 1.4 2005/04/05 21:04:16 karl Exp $
+# Test @value expansion in @include and @verbatiminclude names.
+
+unset TEXINFO_OUTPUT
+: ${srcdir=.}
+
+../makeinfo -I $srcdir $srcdir/include-value.txi
+exit_status=$?
+
+if test $exit_status = 0; then
+ # should have three instances of _included_,
+ # and three of {included}.
+ count=`grep -c _included_ include-value.info`
+ test $count = 3 || exit_status=`expr $exit_status + 1`
+
+ count=`grep -c '{included}' include-value.info`
+ test $count = 3 || exit_status=`expr $exit_status + 1`
+fi
+
+rm -f include-value.info
+exit $exit_status